Summary: FreeS/Wan kernel modules
Name: freeswan-module
%define freeswan_version 1.99
%define kernel_version 2.4.18
%define kernel_release 5
%define kernel_tag %{kernel_version}-%{kernel_release}
Version: %{freeswan_version}_%{kernel_version}_%{kernel_release}
Release: 1es1
Copyright: GPL
Group: System Environment/Daemons
Source: freeswan-module-%{version}-0.i386.rpm
URL: http://www.flora.org/pub/freeswan/RedHat-RPMs/7.3/
BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
AutoReqProv: no
Provides: ipsec-kernel
Requires: kernel = %{kernel_version}-%{kernel_release}

%description
This package contains only the ipsec module for the RedHat series of kernels.

This is a repackaging in separate i386/i586/i686/athlon versions of binary
packages produced by a member of the freeS/WAN team. The repackaging works
around some problems with the autoselection of correct version of the module.

%changelog
* Fri Apr 11 2003 Charlie Brady <charlieb@e-smith.com> 1.99_2.4.18_5-1es1
- Bumped to v1.99

* Wed Jul 24 2002 Charlie Brady <charlieb@e-smith.com> 1.98b_2.4.18_5-1es2
- Add Provides: header for the meta-package which freeswan RPM requires.

* Wed Jul 24 2002 Charlie Brady <charlieb@e-smith.com> 1.98b_2.4.18_5-1es
- Upgrade to kernel 2.4.18-5, and re-organise macros so that kernel release
  is specified independently of version, and there is no duplication.

* Wed Jul 24 2002 Charlie Brady <charlieb@e-smith.com>
- First repackaging of flora.org module RPM.

%prep
%setup -c -T
rpm2cpio < %SOURCE0 | cpio -id

%build
echo %{_target_cpu}

%install
echo %{_target_cpu}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kernel_tag}/kernel/net/ipsec/
cp -a lib/modules/%{kernel_tag}/kernel/net/ipsec/ipsec.o-%{_target_cpu} \
  $RPM_BUILD_ROOT/lib/modules/%{kernel_tag}/kernel/net/ipsec/ipsec.o
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kernel_tag}smp/kernel/net/ipsec/
cp -a \
  lib/modules/%{kernel_tag}/kernel/net/ipsec/ipsec.o-%{_target_cpu}-smp \
  $RPM_BUILD_ROOT/lib/modules/%{kernel_tag}smp/kernel/net/ipsec/ipsec.o
echo %{_target_cpu}

%clean
rm -rf ${RPM_BUILD_ROOT}
%files
%defattr(-,root,root)
/lib/modules/%{kernel_tag}/kernel/net/ipsec/ipsec.o
/lib/modules/%{kernel_tag}smp/kernel/net/ipsec/ipsec.o
#%doc README
